.badge {
    font-size: inherit;
    border-radius: 1rem;
    display: inline-flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    white-space: nowrap;
    vertical-align: middle;
    border: 1px solid $grey-300;
    background-color: $grey-300;
    color: $violet-800;

    @include padding(1, 3);
    @include margin(1, 2);

    .message {
        flex-grow: 1;
    }

    .action {
        color: inherit;
        flex-shrink: 0;
        border-radius: 50% !important;

        @include marginLeft(2);
    }

    .icon {
        flex-shrink: 0;
        @include marginRight(2);
    }

    &.with-action {
        @include paddingRight(1);
    }

    &.xsmall {
        font-size: $font-size-xsmall;
        @include padding(0.7, 1.5);
        @include margin(1, 0.5);
    }

    &.small {
        font-size: $font-size-small;
        @include margin(1, 1);
    }

    &.large {
        font-size: $font-size-large;
    }

    &.default {
    }

    &.dark {
        border-color: $grey-700;
        background-color: $grey-700;
        color: white;
    }

    &.blue {
        border-color: $blue-700;
        background-color: $blue-700;
        color: white;
    }

    &.green {
        border-color: $green-700;
        background-color: $green-700;
        color: white;
    }


    &.red {
        border-color: $red-600;
        background-color: $red-600;
        color: white;
    }

    &.yellow {
        border-color: $yellow-600;
        background-color: $yellow-600;
        color: white;
    }

}
